Page MenuHomeFreeBSD

Fix bus numbering in ThunderX ITS quirk
ClosedPublic

Authored by wma_semihalf.com on Oct 1 2015, 7:01 AM.

Details

Summary

Internal busses (thus ECAM access) should be mapped to all values from 0 to 143.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

wma_semihalf.com retitled this revision from to Fix bus numbering in ThunderX ITS quirk.
wma_semihalf.com updated this object.
wma_semihalf.com edited the test plan for this revision. (Show Details)
wma_semihalf.com added a reviewer: arm64.
wma_semihalf.com set the repository for this revision to rS FreeBSD src repository.
zbb accepted this revision.Oct 1 2015, 7:38 PM
zbb added a reviewer: zbb.
This revision is now accepted and ready to land.Oct 1 2015, 7:38 PM
andrew added inline comments.Oct 1 2015, 7:46 PM
sys/arm64/arm64/gic_v3_its.c
1479 ↗(On Diff #8995)

What is magic about 143?

emaste added inline comments.Oct 15 2015, 6:23 PM
sys/arm64/arm64/gic_v3_its.c
1479 ↗(On Diff #8995)

It should be a #defined constant

emaste added a subscriber: kib.Oct 15 2015, 6:23 PM
wma_semihalf.com edited edge metadata.
This revision now requires review to proceed.Oct 23 2015, 10:51 AM
This revision was automatically updated to reflect the committed changes.